local L = LibStub("AceLocale-3.0"):GetLocale("DebuffCounter")

function DebuffCounter:CreateTargetFrame()
	self.TFrame = CreateFrame("Frame", "DC_TFrame", UIParent)
	self.TFrame:Hide()
	self.TFrame:SetMovable(true)
	self.TFrame:EnableMouse(true)
	self.TFrame:SetWidth(48)
	self.TFrame:SetHeight(32)
	self.TFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 16, edgeSize = 16,
	insets = { left = 3, right = 3, top = 3, bottom = 3 }});
	self.TFrame:SetBackdropColor(0,0,0,1);
	self.TFrame:SetScript("OnEnter", function(self)
		GameTooltip:ClearLines()
		GameTooltip_SetDefaultAnchor(GameTooltip, this);
		GameTooltip:AddLine("|cff33ff99" .. L["DebuffCounter"])
		GameTooltip:AddLine(L["# of Debuffs on your Target"])
		GameTooltip:AddLine("|cff808080" .. L["(Right-click for options)"])
		GameTooltip:Show();
	end)
	self.TFrame:SetScript("OnLeave", function(self)
		GameTooltip:Hide()
	end)
	
	self.TFrame:SetScript("OnMouseDown",function()
		if(arg1 == "RightButton") then
			InterfaceOptionsFrame_OpenToFrame(self.optionsFrame)
		end
		self.TFrame:StartMoving()
	end)
	self.TFrame:SetScript("OnMouseUp",function()
		self.TFrame:StopMovingOrSizing()
		self:SaveFramePos()
	end)
	
	self.TFrameH = self.TFrame:CreateFontString("DC_TFrameH")
	self.TFrameH:SetPoint("TOPLEFT", "DC_TFrame" ,"TOPLEFT", 3, -4)
	self.TFrameH:SetPoint("TOPRIGHT", "DC_TFrame" ,"TOPRIGHT", -3, -4)
	self.TFrameH:SetFont(GameFontNormalSmall:GetFont(),10)
	self.TFrameH:SetText("Target:")
	
	self.TFrameT = self.TFrame:CreateFontString("DC_TFrameT")
	self.TFrameT:SetPoint("BOTTOMLEFT", "DC_TFrame" ,"BOTTOMLEFT", 3, 4)
	self.TFrameT:SetPoint("BOTTOMRIGHT", "DC_TFrame" ,"BOTTOMRIGHT", -3, 4)
	self.TFrameT:SetFont(GameFontNormalSmall:GetFont(),12)
	self.TFrameT:SetText("0")
	
end

function DebuffCounter:CreateFocusFrame()
	self.FFrame = CreateFrame("Frame", "DC_FFrame", UIParent)
	self.FFrame:Hide()
	self.FFrame:SetMovable(true)
	self.FFrame:EnableMouse(true)
	self.FFrame:SetWidth(48)
	self.FFrame:SetHeight(32)
	self.FFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background",
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	tile = true, tileSize = 16, edgeSize = 16,
	insets = { left = 3, right = 3, top = 3, bottom = 3 }});
	self.FFrame:SetBackdropColor(0,0,0,1);
	
	self.FFrame:SetScript("OnEnter", function(self)
		GameTooltip:ClearLines()
		GameTooltip_SetDefaultAnchor(GameTooltip, this);
		GameTooltip:AddLine("|cff33ff99" .. L["DebuffCounter"])
		GameTooltip:AddLine(L["# of Debuffs on your Focus"])
		GameTooltip:AddLine("|cff808080" .. L["(Right-click for options)"])
		GameTooltip:Show();
	end)
	self.FFrame:SetScript("OnLeave", function(self)
		GameTooltip:Hide()
	end)
	
	self.FFrame:SetScript("OnMouseDown",function()
		if(arg1 == "RightButton") then
			InterfaceOptionsFrame_OpenToFrame(self.optionsFrame)
		end
		self.FFrame:StartMoving()
	end)
	self.FFrame:SetScript("OnMouseUp",function()
		self.FFrame:StopMovingOrSizing()
		self:SaveFramePos()
	end)
	
	self.FFrameH = self.FFrame:CreateFontString("DC_FFrameH")
	self.FFrameH:SetPoint("TOPLEFT", "DC_FFrame" ,"TOPLEFT", 3, -4)
	self.FFrameH:SetPoint("TOPRIGHT", "DC_FFrame" ,"TOPRIGHT", -3, -4)
	self.FFrameH:SetFont(GameFontNormalSmall:GetFont(),10)
	self.FFrameH:SetText("Focus:")
	
	self.FFrameT = self.FFrame:CreateFontString("DC_FFrameT")
	self.FFrameT:SetPoint("BOTTOMLEFT", "DC_FFrame" ,"BOTTOMLEFT", 3, 4)
	self.FFrameT:SetPoint("BOTTOMRIGHT", "DC_FFrame" ,"BOTTOMRIGHT", -3, 4)
	self.FFrameT:SetFont(GameFontNormalSmall:GetFont(),12)
	self.FFrameT:SetText("0")
end
